package com.bankaudit.process.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="audit_rating_parameter_score_tmp")
public class AuditRatingParameterScoreTmp implements Serializable{
	
	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;	
		
	@Id
	@Column(name="audit_id")
	private String auditId;
	
	@Id
	@Column(name="rm_code")
	private String rmCode;
		
	@Id
	@Column(name="param_code")
	private String paramCode;
	
	@Column(name="unit_id")
	private String unitId;
	
	@Column(name="audit_type_code")
	private String auditTypeCode;
	
	@Column(name="category_code")
	private String categoryCode;
	
	@Column(name="sub_category_code")
	private String subCategoryCode;
			
	@Column(name="param_mesaurement_type")
	private String paramMesaurementType;
	
	@Column(name="param_basis")
	private String paramBasis;
	
	@Column(name="processed_score")
	private String processedScore;
	
	@Column(name="score_assessed")
	private String scoreAssessed;
	
	@Column(name="score_effective")
	private String scoreEffective;
	
	@Column(name="score_effective_ro")
	private String scoreEffectiveRO;	
	
	@Column(name="score_effective_ho")
	private String scoreEffectiveHO;
	
	@Column(name="param_weightage")
	private String paramWeightage;
	
	@Column(name="maker_remarks_id")
	private String makerRemarksId;
	
	@Column(name="maker_remarks")
	private String makerRemarks;
	
	@Column(name="reviewer_remarks_id")
	private String reviewerRemarksId;
	
	@Column(name="reviewer_remarks")
	private String reviewerRemarks;	
	
	@Column(name="ho_remarks_id")
	private String hoRemarksId;
	
	@Column(name="ho_remarks")
	private String hoRemarks;
	
	@Column(name="risk")
	private String risk;
	
	@Column(name="status")
	private String status;
		
	@Column(name="entity_status")
	private String entityStatus;
	
	@Column(name="maker")
	private String maker;
	
	@Column(name="maker_timestamp")
	private Date makerTimestamp;
	
	@Column(name="checker")
	private String checker;
	
	@Column(name="checker_timestamp")
	private Date checkerTimestamp;
	
	@Column(name="businessdate_timestamp")
	private Date businessdateTimestamp;
	
	@Column(name="sysdate_timestamp")
	private Date sysdateTimestamp;
	
	@Column(name="doc_id")
	private int docId;
	
	private transient String paramName;
	private transient String categoryName;
	private transient String subCategoryName;
	private transient String auditTypeName;
	private transient String weightedScore;
	private transient double minScore;
	private transient double maxScore;
	private transient String paramMesaurementName;
	private transient String scoreReference;
	
	
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}
	public String getAuditId() {
		return auditId;
	}
	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}
	public String getRmCode() {
		return rmCode;
	}
	public void setRmCode(String rmCode) {
		this.rmCode = rmCode;
	}
	public String getParamCode() {
		return paramCode;
	}
	public void setParamCode(String paramCode) {
		this.paramCode = paramCode;
	}
	public String getAuditTypeCode() {
		return auditTypeCode;
	}
	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}
	public String getCategoryCode() {
		return categoryCode;
	}
	public void setCategoryCode(String categoryCode) {
		this.categoryCode = categoryCode;
	}
	public String getSubCategoryCode() {
		return subCategoryCode;
	}
	public void setSubCategoryCode(String subCategoryCode) {
		this.subCategoryCode = subCategoryCode;
	}
	public String getParamMesaurementType() {
		return paramMesaurementType;
	}
	public void setParamMesaurementType(String paramMesaurementType) {
		this.paramMesaurementType = paramMesaurementType;
	}
	
	
	public String getParamBasis() {
		return paramBasis;
	}
	public void setParamBasis(String paramBasis) {
		this.paramBasis = paramBasis;
	}
	
	public String getProcessedScore() {
		return processedScore;
	}
	public void setProcessedScore(String processedScore) {
		this.processedScore = processedScore;
	}
	public String getUnitId() {
		return unitId;
	}
	public void setUnitId(String unitId) {
		this.unitId = unitId;
	}
	public String getScoreAssessed() {
		return scoreAssessed;
	}
	public void setScoreAssessed(String scoreAssessed) {
		this.scoreAssessed = scoreAssessed;
	}
	public String getScoreEffective() {
		return scoreEffective;
	}
	public void setScoreEffective(String scoreEffective) {
		this.scoreEffective = scoreEffective;
	}	
	public String getScoreEffectiveRO() {
		return scoreEffectiveRO;
	}
	public void setScoreEffectiveRO(String scoreEffectiveRO) {
		this.scoreEffectiveRO = scoreEffectiveRO;
	}
	public String getScoreEffectiveHO() {
		return scoreEffectiveHO;
	}
	public void setScoreEffectiveHO(String scoreEffectiveHO) {
		this.scoreEffectiveHO = scoreEffectiveHO;
	}
	public String getParamWeightage() {
		return paramWeightage;
	}
	public void setParamWeightage(String paramWeightage) {
		this.paramWeightage = paramWeightage;
	}
	
	public String getMakerRemarksId() {
		return makerRemarksId;
	}
	public void setMakerRemarksId(String makerRemarksId) {
		this.makerRemarksId = makerRemarksId;
	}
	public String getMakerRemarks() {
		return makerRemarks;
	}
	public void setMakerRemarks(String makerRemarks) {
		this.makerRemarks = makerRemarks;
	}
	
	public String getReviewerRemarksId() {
		return reviewerRemarksId;
	}
	public void setReviewerRemarksId(String reviewerRemarksId) {
		this.reviewerRemarksId = reviewerRemarksId;
	}
	public String getReviewerRemarks() {
		return reviewerRemarks;
	}
	public void setReviewerRemarks(String reviewerRemarks) {
		this.reviewerRemarks = reviewerRemarks;
	}
	public String getHoRemarksId() {
		return hoRemarksId;
	}
	public void setHoRemarksId(String hoRemarksId) {
		this.hoRemarksId = hoRemarksId;
	}
	public String getHoRemarks() {
		return hoRemarks;
	}
	public void setHoRemarks(String hoRemarks) {
		this.hoRemarks = hoRemarks;
	}
	public String getRisk() {
		return risk;
	}
	public void setRisk(String risk) {
		this.risk = risk;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getEntityStatus() {
		return entityStatus;
	}
	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}
	public String getMaker() {
		return maker;
	}
	public void setMaker(String maker) {
		this.maker = maker;
	}
	public Date getMakerTimestamp() {
		return makerTimestamp;
	}
	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}
	public String getChecker() {
		return checker;
	}
	public void setChecker(String checker) {
		this.checker = checker;
	}
	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}
	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}
	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}
	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}
	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}
	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}
	public String getParamName() {
		return paramName;
	}
	public void setParamName(String paramName) {
		this.paramName = paramName;
	}
	public String getCategoryName() {
		return categoryName;
	}
	public void setCategoryName(String categoryName) {
		this.categoryName = categoryName;
	}
	public String getSubCategoryName() {
		return subCategoryName;
	}
	public void setSubCategoryName(String subCategoryName) {
		this.subCategoryName = subCategoryName;
	}
	public String getAuditTypeName() {
		return auditTypeName;
	}
	public void setAuditTypeName(String auditTypeName) {
		this.auditTypeName = auditTypeName;
	}
	public String getWeightedScore() {
		return weightedScore;
	}
	public void setWeightedScore(String weightedScore) {
		this.weightedScore = weightedScore;
	}
	public double getMinScore() {
		return minScore;
	}
	public void setMinScore(double minScore) {
		this.minScore = minScore;
	}
	public double getMaxScore() {
		return maxScore;
	}
	public void setMaxScore(double maxScore) {
		this.maxScore = maxScore;
	}
	public String getParamMesaurementName() {
		return paramMesaurementName;
	}
	public void setParamMesaurementName(String paramMesaurementName) {
		this.paramMesaurementName = paramMesaurementName;
	}
	public String getScoreReference() {
		return scoreReference;
	}
	public void setScoreReference(String scoreReference) {
		this.scoreReference = scoreReference;
	}
	public int getDocId() {
		return docId;
	}
	public void setDocId(int docId) {
		this.docId = docId;
	}
	
	
}
